//+------------------------------------------------------------------+
//|                                                         DCE.mq4  |
//|                                               PriceMasterPro.Com |
//|                                    http://www.pricemasterpro.com |
//+------------------------------------------------------------------+
#property copyright "2011(c) - PriceMasterPro.Com"
#property link      "http://www.pricemasterpro.com/"

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 Red

extern int Period1 = 44;
extern int Period2 = 22;
extern int Period3 = 66;
extern int Period4 = 33;
extern int Period5 = 29;
extern int Period6 = 14;
extern int bars = 200;
double MapBuffer[];
double e1;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators setting
    SetIndexStyle(0,DRAW_LINE,STYLE_SOLID,1,Red);
    IndicatorDigits(MarketInfo(Symbol(),MODE_DIGITS));
    IndicatorShortName("DCE"+Period1+","+Period2);
    
    SetIndexBuffer(0,MapBuffer);

//---- variable reset

    
//----
    return(0);
  }

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int limit=Bars-bars;

//---- indicator calculation

    for(int i=limit; i>=0; i--)
    {
        e1 = (iCustom(NULL,0,"triangularma-centered",Period2,0,0,i)-iCustom(NULL,0,"triangularma-centered",Period1,0,0,i))+ (iCustom(NULL,0,"triangularma-centered",Period4,0,0,i)-iCustom(NULL,0,"triangularma-centered",Period3,0,0,i))+(iCustom(NULL,0,"triangularma-centered",Period6,0,0,i)-iCustom(NULL,0,"triangularma-centered",Period5,0,0,i));
    
        MapBuffer[i]=e1;
    }   
//----
   return(0);
  }
//+------------------------------------------------------------------+